summaryrefslogtreecommitdiffstats
path: root/source/a/cryptsetup/cryptsetup.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/a/cryptsetup/cryptsetup.SlackBuild')
-rwxr-xr-xsource/a/cryptsetup/cryptsetup.SlackBuild14
1 files changed, 7 insertions, 7 deletions
diff --git a/source/a/cryptsetup/cryptsetup.SlackBuild b/source/a/cryptsetup/cryptsetup.SlackBuild
index 9b874e2a4..17d7444df 100755
--- a/source/a/cryptsetup/cryptsetup.SlackBuild
+++ b/source/a/cryptsetup/cryptsetup.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
-# Copyright (c) 2007, 2009, 2010 Eric Hameleers <alien@slackware.com>
-# Copyright (c) 2007, 2009, 2010 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright (c) 2007, 2009, 2010 Eric Hameleers <alien@slackware.com>
+# Copyright (c) 2007, 2009, 2010, 2015 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -33,21 +33,21 @@
# -----------------------------------------------------------------------------
PKGNAM=cryptsetup
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.bz2 | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -69,7 +69,7 @@ mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf cryptsetup-$VERSION
-tar xvf $CWD/cryptsetup-$VERSION.tar.bz2 || exit 1
+tar xvf $CWD/cryptsetup-$VERSION.tar.xz || exit 1
cd cryptsetup-$VERSION
chown -R root:root .
find . \